3 tiers typical installation for Couchbase


#1

Hi everyone.

Could someone please help with advise on installation location. I have an application that runs on typical 3 tiers scenario where.

tier 1: server for front end application only running on NginX.
tier 2: backend application running on NginX and Php
tier 3: backend DB where couchbase reside

The question that I need help with clarification are:

  1. I don’t need to install any couchbase extension or client on tier 1.
  2. I need to install couchbase SDK on tier 2 since i’ts the php
    application that will need to execute the php command to connect to
    couchbase db. I use to install the required php-ext-couchbase on
    this machine. But it’s now change/updated to php-sdk for couchbase.
  3. I just need to install couchbase server db on tier 3.

Are all those statements still accurate? Please help? Many thanks.


#2

This looks correct to me. I believe you’ll want to generally to install from pecl to simplify things.

Also, if you have PHP questions, may be best to post to the PHP category.


#3

Hello,

Could you describe tier 1 a little more and what it is serving?

Presumably, you’re creating a SPA that’s running in the browser and consuming JSON from the PHP app on tier 2.

In that case, you’d pull in the Couchbase Server PHP SDK into your PHP application. You’d install the PHP SDK on the tier 2 server using pecl and then require it like any other library.

Couchbase Server would then run on its own set of servers, as you describe.

Cheers,

Matthew.


#4

Thanks Ingenthr and matthew. Ingenthr, yes I selected couchbase category because I thought this is a couchbase question. My bad.

Matthew, per your description, tier 1 is basically a web based application that client will connect to. So the tier 1 will connect to tier 2 (application php) and request for the information, tier 2 will then contact tier 3 to query the db and process the data before being served back to tier 1. Many thanks for the confirmation. Also, definitely will use PECL to install the sdk.

FYI, I know it’s not officially supported yet, but somehow I manage to install the 3.0.1 community edition on CentOS 7 without any problem. I’m not sure whether I should expect so see some sort of issue if I kept it on CentOS 7?

Many thanks everyone for the quick response. :smile: